function acc_plus(a) {
    document.acc_post.oper.value = 1;
    document.acc_post.str.value = a;
    document.acc_post.submit();
}

function acc_minus(a) {
    document.acc_post.oper.value = 2;
    document.acc_post.str.value = a;
    document.acc_post.submit();
}

function go_next() {        
    var n = 0;
    do {
        n = n + 1;
    } while ((n <= document.acc_post.elements.length) && (document.acc_post.elements[n].type != 'input'));

    document.acc_post.elements[n].focus();
}

function pF(val) {
    if(isNaN(parseFloat(val))) {
         return (parseFloat("0"));
    } else {
        return (parseFloat(val));
    }
}

function sum(target, arg1, arg2) {
    var v;
    document.acc_post.elements[target].value = '';
    v = parseFloat(0);

    for (var n = 1; n < arguments.length; n ++) {
        v += parseFloat(document.acc_post.elements[arguments[n]].value);
    }
    document.acc_post.elements[target].value = v;
}

function minus(target, arg1, arg2) {
    var v;
    document.acc_post.elements[target].value = '';
    v = parseFloat(document.acc_post.elements[arguments[1]].value);
    for (var n = 2; n < arguments.length; n ++) {
        v -=  parseFloat(document.acc_post.elements[arguments[n]].value);
    }
    document.acc_post.elements[target].value = v;
}

function onchangeud(a) {
    if (a) {
        if(window.confirm('Вы потеряете расширенные права. Продолжить?')) {
            document.changeud.submit();
        } else {
            document.changeud.reset();
        }
    } else {
        document.changeud.submit();
    }
}
